
/* General header file */

#ifndef VALL
#define VALL

/* WIN32_DOS is the default unless UNIX or MAC is specified */
/* (WIN32_DOS is Win 95/98/NT/XP etc) */

#ifndef UNIX
  #ifndef MAC
    #define WIN32_DOS
  #endif
#endif

/* Is this for GENECONV (VTEXT) or the as-yet experimental VSHOW? */
/* The default is VTEXT */

#ifndef VSHOW
#define VTEXT
#endif

/* Make program names and program version available everywhere */

#include "version.h"

/* Useful general constants */

#define TRUE 1
#define FALSE 0
#define RET_OK 0
#define RET_ERROR (-1)

/* Include some standard C libraries */

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <ctype.h>
#include <string.h>
#include <math.h>

#endif /* VALL */


